Summary:	Picture-viewer for the Xfce desktop environment
Summary(pl.UTF-8):	Przeglądarka obrazów dla środowiska Xfce
Name:		ristretto
Version:	0.13.4
Release:	1
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	https://archive.xfce.org/src/apps/ristretto/0.13/%{name}-%{version}.tar.xz
# Source0-md5:	680765bdecaf1b465ca3af7fbea7f6c4
Patch0:		%{name}-desktop.patch
URL:		https://goodies.xfce.org/projects/applications/ristretto/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.10.0
BuildRequires:	dbus-glib-devel >= 0.34
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.56.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	libexif-devel >= 0.6.0
BuildRequires:	libxfce4ui-devel >= 4.16.0
BuildRequires:	libxfce4util-devel >= 4.16.0
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.000
BuildRequires:	xfce4-dev-tools >= 4.16.0
BuildRequires:	xfconf-devel >= 4.16.0
Requires(post,postun):	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ristretto is a fast and lightweight picture-viewer for the Xfce
desktop environment.

%description -l pl.UTF-8
Ristretto jest szybką i lekką przeglądarką obrazów dla środowiska
Xfce.

%prep
%setup -q
%patch -P0 -p1

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hye,ie,ur_PK}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hy}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/org.xfce.%{name}.desktop
%{_datadir}/metainfo/org.xfce.ristretto.appdata.xml
%{_iconsdir}/hicolor/*/*/*
%changelog
* Sat Mar 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ristretto.git;a=log;h=master

* Sat Mar 29 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ff3eccb
- up to 0.13.4

* Fri Dec 27 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b08439d
- up to 0.13.3

* Tue Feb 06 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fcead96
- up to 0.13.2

* Sun May 14 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1d63432
- up to 0.13.1

* Thu Feb 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 66c96a8
- up to 0.13.0

* Sat Dec 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b23f3ef
- up to 0.12.4

* Sat Jul 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f424218
- up to 0.12.3

* Fri Jan 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 123d19d
- https-ing source

* Fri Jan 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ea9fcaa
- up to 0.12.2

* Fri Nov 26 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> de038bf
- up to 0.12.1

* Mon Oct 11 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ce01dba
- up to 0.12.0

* Fri Jun 11 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7feeae5
- up to 0.11.0

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 793e951
- up to 0.10.0

* Sun Jun 09 2019 Jan Rękorajski <baggins@pld-linux.org> 17a2c84
- release 2 (by relup.sh)

* Thu Apr 11 2019 Adam Gołębiowski <adamg@pld-linux.org> 08a4e72
- updated to 0.8.4

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> ab0ad50
- up to 0.8.2

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 6121f7f
- up to 0.8.0

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 3f8f159
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 546c3bf
- updated gettext BR

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> 4f52df7
- up to 0.6.3

